Package twisted :: Package manhole :: Module service :: Class Perspective

[show private | hide private]
[frames | no frames]

## Class Perspective

    Perspective --+
                  |
        Perspective --+
                      |
                     Perspective

Method Summary
| ``__init__`(self, perspectiveName, identityName)` Create me.
| `__getstate__(self)`
| ``attached`(self, client, identity)` A client has attached -- welcome them and add them to the list.
| ``brokerAttached`(self, reference, identity, broker)` An intermediary method to override. (inherited from `Perspective`)
| ``brokerDetached`(self, reference, identity, broker)` See `brokerAttached`. (inherited from `Perspective`)
| ``console`(self, message)` Pass a message to my clients' console.
| `detached(self, client, identity)`
| ``getIdentityRequest`(self)` Request my identity. (inherited from `Perspective`)
| ``getPerspectiveName`(self)` Return the unique name of this perspective. (inherited from `Perspective`)
| ``getService`(self)` Return a service. (inherited from `Perspective`)
| ``makeIdentity`(self, password)` Make an identity from this perspective with a password. (inherited from `Perspective`)
| ``perspective_do`(self, expr)` Evaluate the given expression, with output to the console.
| ``perspective_explore`(self, identifier)` Browse the object obtained by evaluating the identifier.
| ``perspective_watch`(self, identifier)` Watch the object obtained by evaluating the identifier.
| ``perspectiveMessageReceived`(self, broker, message, args, kw)` This method is called when a network message is received. (inherited from `Perspective`)
| ``receiveExplorer`(self, objectLink)` Pass an Explorer on to my clients.
| ``runInConsole`(self, command, *args, **kw)` Convience method to "runInConsole with my stuff".
| ``setIdentity`(self, ident)` Determine which identity I connect to. (inherited from `Perspective`)
| `setIdentityName(self, name)` (inherited from `Perspective`)
| ``setService`(self, service)` Change what service I am a part of.
| `_cbClientCapable(self, capabilities, client)`
| `_cbResult(self, val, dnum)`
| `_ebClientCapable(self, reason, client)`

Class Variable Summary
`int` | `lastDeferred`

Method Details

### __init__(self, perspectiveName, identityName='Nobody')
(Constructor)

Create me.

I require a name for myself and a reference to the service I participate in. (My identity name will be 'Nobody' by default, which will normally not resolve.)

  Overrides:
    `twisted.cred.perspective.Perspective.__init__` (inherited documentation)

### attached(self, client, identity)

A client has attached -- welcome them and add them to the list.

### console(self, message)

Pass a message to my clients' console.

### perspective_do(self, expr)

Evaluate the given expression, with output to the console.

The result is stored in the local variable '_', and its repr() string is sent to the console as a "result" message.

### perspective_explore(self, identifier)

Browse the object obtained by evaluating the identifier.

The resulting ObjectLink is passed back through the client's receiveBrowserObject method.

### perspective_watch(self, identifier)

Watch the object obtained by evaluating the identifier.

Whenever I think this object might have changed, I will pass an ObjectLink of it back to the client's receiveBrowserObject method.

### receiveExplorer(self, objectLink)

Pass an Explorer on to my clients.

### runInConsole(self, command, *args, **kw)

Convience method to "runInConsole with my stuff".

### setService(self, service)

Change what service I am a part of.

  Overrides:
    `twisted.cred.perspective.Perspective.setService` (inherited documentation)

Class Variable Details

### lastDeferred

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:19:08 2003 | http://epydoc.sf.net